net.i2p.stat

## Class BufferedStatLog

- java.lang.Object
- - net.i2p.stat.BufferedStatLog

- All Implemented Interfaces:
    StatLog

      public class BufferedStatLog
      extends Object
      implements StatLog

  Note - if no filter is defined in stat.logFilters at startup, this class will not be instantiated - see StatManager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedStatLog(I2PAppContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addData(String scope, String stat, long value, long duration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedStatLog

          public BufferedStatLog(I2PAppContext ctx)

  - ### Method Detail

    - #### addData

          public void addData(String scope,
                     String stat,
                     long value,
                     long duration)

      Specified by:
        `addData` in interface `StatLog`